<?php

namespace App\Notifications;

use App\Mail\MailableBase;
use App\Mail\UserChangeEmailRequired as UserChangeEmailRequiredMailable;
use Illuminate\Bus\Queueable;
use Illuminate\Notifications\Notification;

class UserChangeEmailRequired extends Notification
{
    use Queueable;
    use DatabaseEmailNotification;

    /**
     * Create a new notification instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Get the mail representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage|MailableBase
     */
    public function toMail($notifiable)
    {
        $mailable = new UserChangeEmailRequiredMailable($notifiable);

        $this->setPropertiesOnMailable($mailable, $notifiable);

        return $mailable;
    }
}
