<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="../css/blue-twilight.min.css">
        <title><?php echo $appName; ?></title>
        <style type="text/css">
            * {
                font-family: "Raleway", sans-serif;
            }
        </style>
    </head>
    <body>
        <div class="container" id="bootstrapper">
            <div class="row">
                <div class="col-md-8 offset-md-2">
                    <div class="card">
                        <div class="card-header">
                            <p class="mb-0"><?php echo $appName; ?></p>
                        </div>
                        <div class="card-body">
                            <p class="lead"><b>Welcome to Blue Twilight - the self-hosted PHP photo gallery.</b></p>

                            <div v-if="!isRunning">
                                <p>We need to download and install a few more files before you get started.</p>
                                <p>Click the &quot;Let's Go&quot; button below to begin.</p>
                                <p class="mb-0 mt-4"><button class="btn btn-primary btn-lg" @click.prevent="bootstrap">Let's Go</button></p>
                            </div>
                            <div v-else>
                                <ul v-cloak>
                                    <li class="operation mb-3" v-for="operation in operations">
                                        <div class="status mr-1">
                                            <img src="images/waiting.svg" v-if="!operation.isRunning && !operation.isCompleted"></img>
                                            <img src="images/loading.svg" v-if="operation.isRunning && !operation.isCompleted"/>
                                            <img src="images/completed.svg" v-if="!operation.isRunning && operation.isCompleted"></img>
                                        </div>
                                        <span v-text="operation.name"></span>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <script src="../js/blue-twilight.min.js"></script>
        <script type="text/javascript">
            $(function()
            {
                var vm = new BootstrapperViewModel();
                var app = new Vue(vm);
            });
        </script>
    </body>
</html>