# Blue Twilight: PHP photo gallery

Blue Twilight is a web-based application to store, manage and display collections of photos, organised into Galleries.

It takes advantage of modern frameworks (Laravel, Bootstrap 4, VueJS) as well as new approaches to photo management - such as storing photos on cloud storage providers (Memstore, Rackspace, Amazon S3) and serving the images directly from the respective CDNs.

You can see Blue Twilight in action on my own photo gallery - the reason I wrote Blue Twilight - at: [photos.andysh.uk](https://photos.andysh.uk)

## Blue Twilight Cloud

If you want your own dedicated, private instance of Blue Twilight without the hassle of managing servers, hosting and updates - check out [Blue Twilight Cloud](https://showmy.photos).

## Demo System

See Blue Twilight in action using the demo system. Full details are [available here](https://showmy.photos/demo/).

The link to the demo system is: https://demo.showmy.photos. Login with:

* Username: **demo@demo.com**
* Password: **demo123**

## Useful Links

* [Blue Twilight website](https://showmy.photos/)
* [User Manual](https://showmy.photos/user-guide/)
* [Installation Guide](https://showmy.photos/user-guide/installation/)
* [Issues/Tasks](https://apps.andysh.uk/aheathershaw/blue-twilight/issues)
* [Roadmap](https://apps.andysh.uk/aheathershaw/blue-twilight/milestones)

## Need Help?

I'd love to get you up and running. If you need assistance installing the Blue Twilight PHP photo gallery, or would like to me to do it for you, please get in touch using the contact form located at:

[andysh.uk/contact](https://andysh.uk/contact)

## More Apps by Andy

Be sure to check out more apps written by Andy:

[Simply Remind Me - email & SMS service](https://simplyremind.me)

A free email & SMS reminder service so you don't forget the important things in life. Supports recurring reminders and repeated events.

Create a public countdown page to share your holiday or birthday with the world.

[Solid Tools for Developers - online debugging tools](https://soliddevtools.com)

A suite of online debugging and diagnostics tools aimed at software developers. Includes a dig tool for DNS lookups, a ping tool to check server availability, a strong password generator and many more.