@extends(Theme::viewName('layout'))
@section('title', trans('admin.authorise_service_title', ['name' => $serviceName]))

@section('breadcrumb')
    <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
    <li class="breadcrumb-item"><a href="{{ route('admin') }}">@lang('navigation.breadcrumb.admin')</a></li>
    <li class="breadcrumb-item"><a href="{{ route('storage.index') }}">@lang('navigation.breadcrumb.storage')</a></li>
    <li class="breadcrumb-item active">@lang('navigation.breadcrumb.authorise_service')</li>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-md-8 ml-md-auto mr-md-auto">
                <div class="card bg-info">
                    <div class="card-header text-white">@yield('title')</div>
                    <div class="card-body bg-light">
                        <p>@lang('admin.authorise_service_intro', ['name' => $serviceName])</p>

                        <p class="text-success">@lang('admin.authorise_service_authorise_intro', ['name' => $serviceName])</p>
                        <p class="text-right mb-0"><a href="{{ $authoriseUrl }}" class="btn btn-primary">@lang('admin.authorise_service_authorise')</a></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection