@extends(Theme::viewName('layout'))
@section('title', trans('admin.services_title'))

@section('breadcrumb')
    <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
    <li class="breadcrumb-item"><a href="{{ route('admin') }}">@lang('navigation.breadcrumb.admin')</a></li>
    <li class="breadcrumb-item active">@lang('navigation.breadcrumb.services')</li>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col">
                <h1>@lang('admin.list_services_title')</h1>
                <div class="alert alert-info" style="margin-bottom: 30px;">
                    <i class="fa fa-fw fa-info"></i> @lang('admin.list_services_intro')
                </div>

                @if (count($services) == 0)
                    <div class="text-center mb-4">
                        <h4 class="text-danger"><b>@lang('admin.no_services_title')</b></h4>
                        <p>@lang('admin.no_services_text')</p>
                    </div>
                @else
                    <table class="table table-hover table-striped">
                        <tbody>
                        @foreach ($services as $service)
                            <tr>
                                <td>
                                    <span style="font-size: 1.3em;"><a href="{{ route('services.edit', ['service' => $service->id]) }}">{{ $service->name }}</a></span><br/>
                                    {{ trans(sprintf('services.%s', $service->service_type)) }}
                                    @if ($service->service_type == \App\ExternalService::DROPBOX)
                                        &middot; {{ decrypt($service->app_id) }}
                                    @endif
                                </td>
                                <td class="text-right">
                                    <a href="{{ route('services.delete', ['service' => $service->id]) }}" class="btn btn-danger">@lang('forms.delete_action')</a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>

                    <div class="text-center">
                        {{ $services->links() }}
                    </div>
                @endif

                <div class="text-right" style="margin-top: 10px;">
                    <a href="{{ route('services.create') }}" class="btn btn-success"><i class="fa fa-fw fa-plus"></i> @lang('admin.create_service')</a>
                </div>
            </div>
        </div>
    </div>
@endsection